"use strict";
// GENERATED BY ./scripts/iconScript.ts
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helper_1 = require("../helper");
const flipFunction_1 = require("../flipFunction");
function EOS_BEDTIME_OFF({ size = "m", color = "black", rotate = 0, horizontalFlip = false, verticalFlip = false, theme = "filled", className = "" }) {
    const sizeString = size.toString();
    if (Object.keys(helper_1.valuesMap).includes(sizeString)) {
        size = helper_1.valuesMap[size];
    }
    const { scaleX, scaleY, translateX, translateY } = flipFunction_1.flipFunction({ horizontalFlip, verticalFlip });
    return (React.createElement(React.Fragment, null,
        (theme === "filled") &&
            // Filled version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M21.19,21.19L2.81,2.81L1.39,4.22l2.27,2.27C2.61,8.08,2,9.97,2,12c0,5.52,4.48,10,10,10c2.04,0,3.93-0.62,5.51-1.66 l2.27,2.27L21.19,21.19z" }),
                React.createElement("path", { d: "M12.34,2.02c-2.18-0.07-4.19,0.55-5.85,1.64l4.59,4.59C10.81,6.2,11.18,4.03,12.34,2.02z" })),
        (theme === "outlined") &&
            // Outlined version
            React.createElement("svg", { className: className, "data-testid": "eos-svg-component", transform: `rotate(${rotate}) translate(${translateX}, ${translateY}) scale(${scaleX}, ${scaleY})`, fill: color, width: size, height: size, xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24" },
                React.createElement("path", { d: "M9.27,4.49C9.14,5.08,9.07,5.64,9.03,6.2l2.05,2.05c-0.27-2.05,0.1-4.22,1.26-6.23c-0.12,0-0.23-0.01-0.35-0.01 c-2.05,0-3.93,0.61-5.5,1.65l1.46,1.46C8.37,4.88,8.81,4.66,9.27,4.49z" }),
                React.createElement("path", { d: "M1.39,4.22l2.27,2.27C2.61,8.07,2,9.97,2,12c0,5.52,4.48,10,10,10c2.04,0,3.92-0.63,5.5-1.67l2.28,2.28l1.41-1.41 L2.81,2.81L1.39,4.22z M5.13,7.96l10.92,10.92C14.84,19.6,13.45,20,12,20c-4.41,0-8-3.59-8-8C4,10.52,4.42,9.15,5.13,7.96z" }))));
}
;
exports.default = EOS_BEDTIME_OFF;
